Bug 164136 - Duplicate Discovery address in /etc/iscsi.conf file fails to make the driver work
Duplicate Discovery address in /etc/iscsi.conf file fails to make the driver ...
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: iscsi-initiator-utils (Show other bugs)
4.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike Christie
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-07-25 06:46 EDT by Nitin Chandna
Modified: 2012-06-20 11:54 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 11:54:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nitin Chandna 2005-07-25 06:46:52 EDT
Description of problem:
If single entry is made of discovery address, it works fine, and target is visible.
But if there is dual entry, then /var/log/messages gives a warning that
duplicate entry is ignored but this does not work fine.
/etc/iscsi.conf says, in case of duplicate entries, the last setting in the file
takes precedence. So this should have worked, but it doesn't.


Version-Release number of selected component (if applicable):
kernel-smp-2.6.9-11.EL
kernel-smp-devel-2.6.9-11.EL

How reproducible:
Always

Steps to Reproduce:
1. Make entry in the /etc/iscsi.conf with OutgoingUsername and OutgoingPassword
mentioned.
2. This OutgoingUsername and OutgoingPassword is also configured at the target end.
3. With the start of the driver on the host, the targets are visible, since the
access details are successful.
4. Now in the /etc/iscsi.conf file, just duplicate the single line:
DiscoverAddress=<IP address>
5. Restart the driver.
6. Target discovery fails
  
Actual results:
Target discovery fails, though /var/log/messages tells that duplicate entry is
ignored

Expected results:
/etc/iscsi.conf file says:
"If more that one entry exists for any given parameter (either global or
# local), the last entry has precedence."
With this, the first discovery address should have been ignored, but the second
one should have taken the precedence and the discovery should have gone through.
If this is not the case, then the documentation needs a change about the
statement mentioned above.

Additional info:
Contents of /etc/iscsi.conf file:
[root@cnitin-linux-6 linux-iscsi]# grep -v "#" /etc/iscsi.conf
DiscoveryAddress=10.1.1.80
DiscoveryAddress=10.1.1.80
  OutgoingUsername=cnitin
  OutgoingPassword=cnitin123
HeaderDigest=prefer-on
DataDigest=prefer-on

Settings on MDS:
- chap authentication on interface gige 2/1

/var/log/messages
Jul 19 15:45:55 cnitin-linux-6 iscsid[20844]: Connected to Discovery Address
10.1.1.80 
Jul 19 15:45:55 cnitin-linux-6 iscsid[20841]: ignoring duplicate discovery
address 10.1.1.80 in the config file 
Jul 19 15:45:55 cnitin-linux-6 iscsid[20844]: Login failed to authenticate with
target  
Jul 19 15:45:55 cnitin-linux-6 iscsid[20844]: Discovery login to 10.1.1.80
rejected: initiator error (02/01), non-retryable, giving up
Comment 1 Mike Christie 2005-11-02 01:07:50 EST
Jus
Comment 2 Jiri Pallich 2012-06-20 11:54:49 EDT
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.

Note You need to log in before you can comment on or make changes to this bug.